#ifndef FRMIMGSHOW_H
#define FRMIMGSHOW_H

#include <QWidget>
#include <QPushButton>
#include <QLabel>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QToolButton>
#include <QSpacerItem>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QUrl>
#include <QNetworkReply>
#include <QClipboard>
#include <QGuiApplication>

class FrmImgShow : public QWidget
{
    Q_OBJECT
public:
    explicit FrmImgShow(QString& url, QWidget *parent = nullptr);

private:
    QLabel* labImg;
    QToolButton* btnCopy;
    QToolButton* btnDelete;
    QSpacerItem* horizenSpacer;
    QHBoxLayout* hLayout;
    QVBoxLayout* vLayout;

    QNetworkAccessManager* manager;
    QString url;

protected:
    virtual bool eventFilter(QObject* watched, QEvent* event);

private slots:
    void onFinished(QNetworkReply *reply);

private:
    void initForm();
    void initWidget();
    void initManager();

signals:

};

#endif // FRMIMGSHOW_H
